#
# spec file for package ghc-HsOpenSSL
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name HsOpenSSL
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.11.4.9
Release:        lp150.1.8
Summary:        Partial OpenSSL binding for Haskell
License:        SUSE-Public-Domain
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-devel
BuildRequires:  libopenssl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA and DSA keys,
read and write PEM files, generate message digests, sign and verify messages,
encrypt and decrypt messages. It has also some capabilities of creating SSL
clients and servers.

This package is in production use by a number of Haskell based systems and
stable. You may also be interested in the 'tls' package,
<http://hackage.haskell.org/package/tls>, which is a pure Haskell
implementation of SSL. .

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       libopenssl-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc COPYING

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README.md examples

%changelog
* Wed Jul 26 2017 psimons@suse.com
- Update to version 0.11.4.9 revision 1.
* Mon Jun 12 2017 psimons@suse.com
- Update to version 0.11.4.9.
* Wed May  3 2017 psimons@suse.com
- Update to version 0.11.4.8 with cabal2obs.
* Sat Apr 29 2017 psimons@suse.com
- Update to version 0.11.4.7 revision 1 with cabal2obs.
* Mon Apr 24 2017 psimons@suse.com
- Update to version 0.11.4.7 with cabal2obs.
* Sun Apr  9 2017 psimons@suse.com
- Update to version 0.11.4.6 with cabal2obs.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.11.4.4 with cabal2obs.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 0.11.4.1 with cabal2obs.
* Thu Jan 26 2017 psimons@suse.com
- Update to version 0.11.4 with cabal2obs.
* Thu Oct 27 2016 psimons@suse.com
- Update to version 0.11.3.2 with cabal2obs.
* Mon Oct 17 2016 psimons@suse.com
- Update to version 0.11.3.1 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 0.11.2.4 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.11.1.1 revision 1 with cabal2obs.
